Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.yaac.osm
Enum BorderType

    java.lang.Object
      java.lang.Enum<BorderType>
          org.ka2ddo.yaac.osm.BorderType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BorderType>

    public enum BorderType

extends java.lang.Enum<BorderType>

This enum defines the supported values of the border_type="*" attribute of OSM. See the definition of border_type on the OpenStreetMap wiki.

Enum Constant Summary
`borough`
`city`
`county`
`prefecture`
`province`
`state`
`town`
`township`
`user_defined`
`village`

Method Summary
`byte` | `getAdminLevel()` Gets the numeric administrative level that is associated with this level of border.
`static BorderType` | `value(java.lang.String name)` Get the enum value associated with the string name specified.
`static BorderType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BorderType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### user_defined

    public static final BorderType user_defined

### village

    public static final BorderType village

### town

    public static final BorderType town

### city

    public static final BorderType city

### township

    public static final BorderType township

### county

    public static final BorderType county

### prefecture

    public static final BorderType prefecture

### state

    public static final BorderType state

### province

    public static final BorderType province

### borough

    public static final BorderType borough

Method Detail

### values

    public static BorderType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BorderType c : BorderType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BorderType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getAdminLevel

    public byte getAdminLevel()

  Gets the numeric administrative level that is associated with this level of border.

  Returns:
    byte-sized integer value defining the relative rank of this level of border type.

### value

    public static BorderType value(java.lang.String name)

  Get the enum value associated with the string name specified.

  Parameters:
    `name` - String to convert into an Enum
  Returns:
    BorderType for the string name, or null if no match

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD